Skip to navigation

Get a location

One location by OCPI id. If two parties use the same id, pass country_code and party_id (409 otherwise).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

location_idstringRequired1-36 characters
OCPI location id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
Only this OCPI party country code, e.g. NL.
party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"=3 characters
Only this OCPI party id, e.g. OCP.

Response

The requested object.
idinteger
location_idstring
publishboolean
addressstring
citystring
countrystring
coordinatesobject
time_zonestring
last_updateddatetime
revisioninteger
roleenum or any
originenum or any
country_codestring
party_idstring
ocpi_versionenum or any
organization_idstring
created_atdatetime
updated_atdatetime
publish_allowed_tolist of objects or nullOptional
namestring or nullOptional
postal_codestring or nullOptional
statestring or nullOptional
related_locationslist of objects or nullOptional
parking_typeenum or any or nullOptional
parking_placeslist of objects or nullOptional
directionslist of objects or nullOptional
operatorobject or nullOptional
suboperatorobject or nullOptional
ownerobject or nullOptional
facilitieslist of strings or nullOptional
opening_timesobject or nullOptional
charging_when_closedboolean or nullOptional
imageslist of objects or nullOptional
energy_mixobject or nullOptional
help_phonestring or nullOptional
ocpp_versionstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error